Bug 143143 - java-gcj-compat needs a configurable gij name
Summary: java-gcj-compat needs a configurable gij name
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Fitzsimmons
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-16 20:25 UTC by Anthony Green
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-24 21:41:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Anthony Green 2004-12-16 20:25:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
FC4 should be using GCC 4 for all java related programs.

GCC 4 will likely install as gcj4, gij4, etc.

java-gcj-compat currently hardcodes a references to "gij".

There should be a configure time option to specify the name (or maybe
just a suffix).



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. This is a feature request.
2.
3.
    

Additional info:

Comment 1 Thomas Fitzsimmons 2005-01-24 21:41:42 UTC
This is fixed in java-gcj-compat on sources.redhat.com; I've added a
--with-gcc-suffix option to its configury.  This is how I created
java-1.4.2-gcj4-compat.



Note You need to log in before you can comment on or make changes to this bug.